<!DOCTYPE html>
<html lang="es">

<%- include('./partials/head')%>

    <body>
        <% if (!user) { %>
         <div class="container-fluid">
            <div class="row">
                <div class="login col-12 col-md-6">
                    <!--FORMULARIO LOGIN-->
                    <% if (errors != "") { %>
                        <div class="errors">
                            <ul>
                                <h2>Corregí tus errores</h2>
                                <% for( let i = 0; i < errors.length; i++ ) { %>
                                    <li style="color: red;">
                                        ❌
                                        <%= errors[i].msg%>
                                    </li>
                                    <% console.log(errors[i].msg)%>
                                        <% } %>
                            </ul>
                        </div>
                        <% } %>
                        
                        <form action="/" method="post" class="col-12 col-md-7">
                            <div class=" row logo d-flex justify-content-center">
                                <img class="col-12 col-md-6" src="/images/logo.png" alt="">
                            </div>
                                <label for="email">USUARIO</label>
                                <input type="email" name="email" />
                                <label for="">CONTRASEÑA</label>
                                <input type="password" name="password">
                                <button type="submit" class="btn btn-dark mt-3">ENTRAR</button>
                                <a href="/user/register"><button type="button" class="btn btn-danger mt-2">REGISTRARME</button> </a>
                        </form>
                </div>
                <div class="right col-12 col-md-6">
                    <h2>CONTROL DE STOCK <br> LA TROPA LIBRERIA</h2>
                </div>
            </div>
        </div>
        <% } else{%>
            <div class="logueado container " >
                <div class="avatar mt-5">
                    <img src="/images/img-perfil/<%= user.avatar %>" alt="Imagen de perfil"> 
                </div>
                <div class="text">
                    ¡Hola <%= user.name %> ! 
                    <p>¿Qué haces por acá? <br> Te invitó ir a...</p> 
                </div>
                <div class="botones">
                    <a href="/user/admin"><button type="submit">PANEL ADMIN</button></a>
                    <a href="/logout"><button type="submit">CERRAR SESIÓN</button></a>
                </div>
            </div>
           
            <%}%>
       

        <%- include('./partials/scripts') %> 
    </body>

</html>